
Name:           qt6-rpm-macros
Version:        6.5.2
Release:        %mkrel 1
Summary:        Base install macros for Qt 6
Group:          Development/Libraries
License:        GPLv2
URL:            https://www.mageia.org
Source:         macros.qt6
BuildArch:      noarch
Provides:       qt6-macros = %{version}-%{release}
Requires:       cmake
Requires:       ninja
Requires:       pclinuxos-release

# Needed to build HTML docs
Requires:       libxml2-utils
Requires:       docbook-dtds
Requires:       docbook-style-xsl

%description
Base install macros for QT 6.

%files
%{_rpmmacrodir}/macros.qt6

%prep
#nothing

%build
#nothing

%install
install -d -m 0755 %{buildroot}%{_rpmmacrodir}
install -p -m 0644 %{SOURCE0} %{buildroot}%{_rpmmacrodir}/macros.qt6

sed -e 's,VERSION,%{version},g' -i %{buildroot}%{_rpmmacrodir}/macros.qt6


%changelog
* Sun Aug 27 2023 tex - 6.5.2-1pclos2023
- import package qt6-macros
